import type { RowContext } from '@oinone/kunlun-vue-ui';
import { type VNode } from 'vue';
import { BaseTableFieldWidget } from '../../../basic';
export declare class TableEnumSwitchFieldWidget extends BaseTableFieldWidget<boolean> {
    /**
     * 为true的枚举值
     */
    private get truthyValue();
    /**
     * 为true的时候，执行的action
     */
    private get truthyAction();
    /**
     * 为false的枚举值
     */
    private get falsyValue();
    /**
     * 为false的时候，执行的action
     */
    private get falsyAction();
    private visiblePopconfirm;
    renderDefaultSlot(context: RowContext): VNode[];
}
